Subject: Re: [PATCH] Remove various dead assignments and dead increments found by the clang static analyzer

From: Giuseppe Scrivano <[email-masked]>
Date: Sat, 26 Sep 2009 20:46:45 +0200

Hello,

Sverre Rabbelier <[email-masked]> writes:

> Then it would probably have been better to say so by at least marking
> your patch as RFC and including such a remark in the cover letter, no?
> Also, now that this has been pointed out, you shouldn't expect it to
> be included until someone either takes your patch and cleans it up (as
> in, checks all statements manually), or until you do so yourself.

I really had to include a RFC remark.  After what Johannes reported, I
think there is need only to restore assignments to argc while other ones
can be dropped without problems.  I'll post a cleaned patch later.

Cheers,
Giuseppe